### Signal

# Hinoko FwIsoIt::interrupted

#### Declaration

    void
    interrupted (
      HinokoFwIsoIt* self,
      guint sec,
      guint cycle,
      gpointer tstamp,
      guint tstamp_length,
      guint count,
      gpointer user_data
    )

#### Description [src]

Emitted when Linux FireWire subsystem generates interrupt event. There are three cases for Linux FireWire subsystem to generate the event:

- When 1394 OHCI hardware generates hardware interrupt as a result of processing the isochronous packet for the buffer chunk marked to generate hardware interrupt.
- When the number of isochronous packets sent since the last interrupt event reaches one quarter of memory page size (usually 4,096 / 4 = 1,024 packets).
- When application calls `hinoko_fw_iso_ctx_flush_completions()` explicitly.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`sec`

  Type: `guint`

  Sec part of isochronous cycle when interrupt occurs, up to 7.

`cycle`

  Type: `guint`

  Cycle part of of isochronous cycle when interrupt occurs, up to 7999.

`tstamp`

  Type: An array of `guint8`

  A series of timestamps for packets already handled.

  The length of the array is specified in the `tstamp_length` argument.

`tstamp_length`

  Type: `guint`

  The number of bytes for `tstamp`.

`count`

  Type: `guint`

  The number of handled packets.